Webhook deliveries
Get team webhook delivery
Returns one logical team webhook delivery.
Requires a team API key with webhook-deliveries:read. Project tokens are not accepted.
GET
/
platform
/
webhook-deliveries
/
{deliveryId}
Get team webhook delivery
curl --request GET \
--url https://api.polymorfa.com/platform/webhook-deliveries/{deliveryId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/platform/webhook-deliveries/{deliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/webhook-deliveries/{deliveryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/webhook-deliveries/{deliveryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": null,
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"attemptCount": 1,
"capabilities": {
"retryable": true
},
"payloadAvailability": "available",
"replayableUntil": "2023-11-07T05:31:56Z",
"metadataExpiresAt": "2023-11-07T05:31:56Z",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastOutcome": {
"statusCode": 349,
"errorCode": "<string>"
}
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"data": null,
"docs": "<string>"
}Authorizations
Send your team API key or project token as Authorization: Bearer <token>. The credential must have the required permissions. Project tokens can access only their own project.
Path Parameters
Identifier for the delivery.
Value constraints
| Constraint | Accepted input |
|---|---|
| Format | uuid |
Response
Success
Structured data carried by this object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get team webhook delivery
curl --request GET \
--url https://api.polymorfa.com/platform/webhook-deliveries/{deliveryId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polymorfa.com/platform/webhook-deliveries/{deliveryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/webhook-deliveries/{deliveryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/webhook-deliveries/{deliveryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": null,
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhookId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"attemptCount": 1,
"capabilities": {
"retryable": true
},
"payloadAvailability": "available",
"replayableUntil": "2023-11-07T05:31:56Z",
"metadataExpiresAt": "2023-11-07T05:31:56Z",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastOutcome": {
"statusCode": 349,
"errorCode": "<string>"
}
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>"
},
"data": null,
"docs": "<string>"
}